./net/py-zmq [Python bindings for ZeroMQ]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 22.3.0, Package name: py-zmq-22.3.0
Maintained by: The OpenBSD ports mailing-list
Master sites:
Flavors (export FLAVOR=xyz, setenv FLAVOR xyz):
  • python3
Description
PyZMQ is a lightweight and super-fast messaging library built on top of
the ZeroMQ library.


Filesize: 1214.375 KB
Version History (View Complete History)
  • (2021-11-01) Updated to version: py-zmq-22.3.0
  • (2019-05-12) Updated to version: py-zmq-18.0.1
  • (2019-02-24) Updated to version: py-zmq-18.0.0
  • (2018-10-31) Updated to version: py-zmq-17.1.2
  • (2018-09-26) Updated to version: py-zmq-16.0.3
  • (2018-09-10) Updated to version: py-zmq-17.1.2
  • (2017-12-22) Updated to version: py-zmq-16.0.3
  • (2017-01-15) Updated to version: py-zmq-16.0.2
  • (2016-10-08) Updated to version: py-zmq-15.4.0
  • (2016-01-17) Updated to version: py-zmq-15.2.0
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2021-11-01 18:01:43 by Stuart Henderson | Files touched by this commit (139)
Log message:
bump REVISION for switch from Python 3.8 -> 3.9
   2021-11-01 08:55:14 by Stuart Henderson | Files touched by this commit (5)
Log message:
update to py-zmq-22.3.0, thanks bket@ for testing with jupyter-notebook/spyder
   2021-01-04 07:06:39 by Stuart Henderson | Files touched by this commit (242)
Log message:
regen PLISTs for python ports with .so files that end up renamed due to
the EXT_SUFFIX change in Python 3.8.7
   2020-10-10 12:45:00 by Daniel Dickman | Files touched by this commit (8)
Log message:
switch py-construct, py-sane, and py-zmq to be python3-only
This is one of the many changes needed to update numpy to v1.17.0 or
newer as numpy is now python3-only.
Analysis of py-zmq consumers flubbed by me. Luckily bket@ did a much
better dependency analysis of the py-zmq consumers.
ok bket@
   2020-07-03 15:13:23 by Stuart Henderson | Files touched by this commit (1032)
Log message:
bump REVISION; python 3 default changed to 3.8
   2019-11-30 21:33:28 by Kurt Mosiejczuk | Files touched by this commit (1)
Log message:
Fix tests by moving to MODPY_PYTEST. Drop TEST_IS_INTERACTIVE
   2019-07-12 14:49:09 by Stuart Henderson | Files touched by this commit (854)
Log message:
replace simple PERMIT_PACKAGE_CDROM=Yes with PERMIT_PACKAGE=Yes
   2019-05-11 19:49:17 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
update to py-zmq-18.0.1
   2019-05-05 09:44:13 by Daniel Jakots | Files touched by this commit (19)
Log message:
Remove mariani@ as maintainer per his request
   2019-04-28 14:52:03 by Stuart Henderson | Files touched by this commit (715)
Log message:
bump all the py3 things, _SYSTEM_VERSION didn't quite work out how
we expected and it's easier|safer to do it this way than fiddle with
pkg_add now. thanks aja for update tests with a quick bulk.
   2019-02-23 11:09:47 by Elias M. Mariani | Files touched by this commit (5)
Log message:
Updating py-zmq from 17.1.2 to 18.0.0
Tweaks, advices and patches by jca@
OK sthen@ "If things are still working with it"
OK jca@ "If you know that consumer ports can cope with this update"
   2018-11-27 01:25:13 by Jeremie Courreges-Anglas | Files touched by this commit (1)
Log message:
Kill test dep on py-czmq, which is going away
The tests depending on pyczmq failed anyway as pyczmq is broken.
ok sthen@
   2018-10-31 06:27:23 by Bjorn Ketelaars | Files touched by this commit (3)
Log message:
Update py-zmq to 17.1.2.
This update was reverted just before 6.4 because of an issue with
www/jupyter-notebook:
https://marc.info/?l=openbsd-ports&m=153785226020468&w=2
Issue has been resolved by the recent update of graphics/py-matplotlib.
From Elias M. Mariani (maintainer).
   2018-09-25 08:49:12 by Bjorn Ketelaars | Files touched by this commit (3)
Log message:
Revert to py-zmq-16.0.3.
py-zmq-17.1.2 breaks www/jupyter-notebook. Issue can be fixed by
updating py-ipkernel to a newer version, which does not work with the
version of py-matplotlib in ports. This can be fixed by updating
py-matplotlib to a newer version, which relies on two new ports...
For now make sure that 6.4 ships with a version of py-zmq that does not
break stuff.
OK sthen@, jca@
   2018-09-10 08:21:15 by Daniel Jakots | Files touched by this commit (3)
Log message:
Update to py-zmq-17.1.2
From Elias Mariani who's taking maintainership (as talked with shadchin@)
   2017-12-22 03:24:05 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
update to py-zmq-16.0.3
ok shadchin@ (MAINTAINER)
   2017-01-15 06:28:04 by Alexandr Shadchin | Files touched by this commit (3)
Log message:
Update to py-zmq 16.0.2
   2017-01-03 12:24:43 by Landry Breuil | Files touched by this commit (24)
Log message:
bump ports depending on python3 in net
   2016-10-07 15:49:09 by Alexandr Shadchin | Files touched by this commit (4)
Log message:
Update to py-zmq 15.4.0.
ok ajacoutot@
   2016-01-17 00:11:03 by Alexandr Shadchin | Files touched by this commit (5)
Log message:
Update to py-zmq 15.2.0
   2016-01-13 00:23:03 by Alexandr Shadchin | Files touched by this commit (5)
Log message:
Update to py-zmq 15.1.0. Add python3 flavor and take maintainer.
ok ajacoutot@
   2015-06-23 04:28:48 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
Add net/py-czmq to TEST_DEPENDS.
   2015-06-23 00:22:07 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to py-zmq-14.7.0.
   2015-06-03 05:55:45 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to py-zmq-14.6.0.
   2015-04-02 08:21:18 by Jasper Lievisse Adriaanse | Files touched by this commit (187)
Log message:
- switch to MODPY_PI